Post by Nordikota » Thu Aug 18, 2016 5:56 pm

I did it after the upgrade after I had a number of errors. Removing these directories got the site working :-)

Active Member

Posts

Joined
Tue Feb 11, 2014 8:04 pm

Post by cyclops12 » Fri Aug 19, 2016 5:36 am

Right tried again with a test version of my live site, uploaded all folders and index.php file from 2.3.0.2/upload folder not including both config.php files.

I used filezilla, copied all folders and dragged them to the scrollbar in filezilla and all files/folders were uploaded overwriting the old files.
Then i renamed the following files as suggested....
admin/controller/module
admin/controller/payment
admin/controller/shipping
admin/controller/total
catalog/controller/module
catalog/controller/payment
catalog/model/shipping
catalog/model/total

I then ran the upgrade by going to mysite/install and all patches were applied
BUT now i get these two errors at top of homepage.....

Notice: Undefined variable: icon in /home/xxxx/public_html/xxxx/xxx/catalog/view/theme/xxxx/template/common/header.tpl on line 20 Notice: Undefined variable: google_analytics in /home/xxxx/public_html/xxxx/xxx/catalog/view/theme/xxxx/template/common/header.tpl on line 39

Expert Member

Posts

Joined
Sun Sep 27, 2015 1:10 am

Post by cyclops12 » Sat Aug 20, 2016 7:02 pm

UPDATE: edited the header.tpl as there were a couple of code changes that wasnt overwritten by upgrade and now no errors on homepage.
Next is to try and add back in the extensions......shall keep you updated with progress

EDIT: big headache this is turning into....i have extra folders in system folder that are not in fresh upload but when i remove them i get multiple errors.
cant get the themes to work properly...meaning i cant seem to change from default to custom theme


Think i am going to leave this until an upgrade actually works

Expert Member

Posts

Joined
Sun Sep 27, 2015 1:10 am

Post by Qphoria » Tue Aug 30, 2016 11:33 pm

cyclops12 wrote:UPDATE: edited the header.tpl as there were a couple of code changes that wasnt overwritten by upgrade and now no errors on homepage.
Next is to try and add back in the extensions......shall keep you updated with progress

EDIT: big headache this is turning into....i have extra folders in system folder that are not in fresh upload but when i remove them i get multiple errors.
cant get the themes to work properly...meaning i cant seem to change from default to custom theme


Think i am going to leave this until an upgrade actually works

That's because you are using a 2.2.0.0 theme with 2.3.0.2. It should always be assumed that you will need an updated theme when upgrading.
Themes have also changed.. you don't change them in the system settings anymore.. you change them in Extensions->Themes.

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by cyclops12 » Wed Aug 31, 2016 12:26 am

Sorry Qphoria, i may not have mentioned properly....

I am using 2.0.3.1 with a copied/modified default theme, mainly just changed using viethemes live theme editor and a couple of other edits

And yes i did notice the theme in extensions now

Thanks

May try again :)

Expert Member

Posts

Joined
Sun Sep 27, 2015 1:10 am

Post by cyclops12 » Wed Aug 31, 2016 4:08 am

So is the upgrade.txt file included in 2.3.0.2 folder the correct file to read for upgrading ???
If so why hasnt this been updated as it still seems to be for version 1.5

The full upgrade.txt is here

Code: Select all

///////////////////////////////////////
///    OpenCart V1.5.x TO 1.5.x     ///
///      Upgrade Instructions       ///
///     http://www.opencart.com     ///
///////////////////////////////////////

NOTE: THIS IS FOR UPGRADE ON EXISTING INSTALLS ONLY!
IF INSTALLING NEW, BE SURE TO READ THE INSTALL.TXT FILE INSTEAD

##########################################
THIS IS FOR UPGRADING EXISTING OPENCART 1.5.x STORES ONLY
THIS IS FOR UPGRADING EXISTING OPENCART 1.5.x STORES ONLY
THIS IS FOR UPGRADING EXISTING OPENCART 1.5.x STORES ONLY
##########################################

##########################################
DO NOT USE THIS UPGRADE TO CONVERT FROM 1.4.x to 1.5.x!!
DO NOT USE THIS UPGRADE TO CONVERT FROM 1.4.x to 1.5.x!!
DO NOT USE THIS UPGRADE TO CONVERT FROM 1.4.x to 1.5.x!!
If you have 1.4.x and want to upgrade to 1.5.x, You need to use the script here:
   http://forum.opencart.com/viewtopic.php?f=2&t=50292 
##########################################


1. BACKUP YOUR EXISTING STORE FILES AND DATABASE!!
- Backup your database via your store Admin->System->Backup
- Backup your files using FTP file copy or use cPanel filemanager to create a zip of all the existing opencart files and folders
 
2. Download the latest version of OpenCart and upload ALL new files on top of your current install EXCEPT your config.php and admin/config.php. If you are up to date with the last recent version and want to find just the new files that have changed since the last version, you can follow this guide to create a smaller changes-only patch. But for most, the full opencart zip will suffice.
Watch this video to understand how to properly upload folder using FTP: http://forum.opencart.com/viewtopic.php?f=20&t=9645#p46371

3. Browse to http://<yourstore.com>/install Replacing <yourstore.com> with your actual site (and subdirectory if applicable).
 
4. You should see the OpenCart Upgrade script.
- If you see the OpenCart Install page, then that means you overwrote your config.php files. Restore them from your backup first. Then try again.
 
5. Click "Upgrade". After a few seconds you should see the upgrade success page.
- If you see any errors, report them immediately in the forum before continuing.
 
6. Clear any cookies in your browser
 
7. Goto the admin side of your store and press Ctrl+F5 3x times to refresh your browser cache. That will prevent oddly shifted elements due to stylesheet changes. Login to your admin as the main administrator.
 
8. Goto Admin->Users->User Groups and Edit the Top Adminstrator group. Check All boxes.
- This will ensure you have permissions for all the new files
 
9. Goto Admin->System Settings
- Update any blank fields and click save. 
Even if you do not see any new fields, click save anyway to update the database with any new field names.

10. Other Adjustments that may need to be made, depending on which version you are upgrading from and to. These are broken down by which version they were added in. So if you are not currently at that version, you may need to make changes
v151
   - Modules must all be reinstalled to update the database with the new serialized data method or you will see errors on the front end
v151.3
   - System Settings have new "Use Store Tax Address" and "Use Customer Tax Address" fields that need to be set for taxes to work. By default they are updated to use "Shipping Address" which will be what 99% of stores will use anyway.
v152
   - New "Product Count" field added to the category module. You may need to edit that module to set the new field
v153
   - UPS module gets a change for the unit select and is disabled by default to force you to resave the settings.
   - New Voucher Min/Max fields added to Admin->System->Settings. Default is 1 to 1000
   - New Customer Group selection option for registration. You can choose which fields to show in the Admin->Sales->Customer Groups section.  By default it is set to "Default" only in the Admin->System->Settings under the Option tab. 
   - New "Category Product Count" setting in the Admin->System->Settings under the Server tab. This is disabled by default and should only be used for small stores as it causes massive performance loss for larger stores with lots of categories.
 
11. Load the store front and again press CTRL+F5 3x times to refresh your browser cache. That will prevent oddly shifted elements due to stylesheet.

12. If you use vQmod (by now everyone should be) you should first check for a new version at http://vQmod.com. Be sure to download the version that is marked for "opencart".
You will also need to re-run the vQmod installer, even if you have the latest version. You should already have the installer on your site as it isn't meant to be deleted from the first time you run it. Simply browse to:
http://yoursite.com/vqmod/install and you should see a success message. If you do not see a success message, follow the full install guide from the http://vQmod.com site.

Note that some of your vQmod scripts may need to be updated for the new core changes. 
So run through your site catalog and admin areas and check in FTP for the vqmod/vqmod.log file. 
If you see errors, then you will need to address them.


Troubleshooting:
------------------------------
1. If you have any upgrade script errors, post them in the forum
2. If you have 3rd party addon errors, contact the mod author for an update.
3. If you find bugs, check the "official" bug thread for this version of Opencart
Many bugs may have already been reported and fixes will be offered in the first post of this thread.
You should always visit this thread immediately after a fresh upgrade to see if there are any immediate bug fixes
If nobody has reported your bug, then please report it.

An online version of this file can be found here:
http://www.opencart.com/index.php?route=documentation/documentation&path=98


That's It!
OpenCart Dev Team

Expert Member

Posts

Joined
Sun Sep 27, 2015 1:10 am

Post by Hannah00 » Wed Aug 31, 2016 11:43 am

I predict the server doesn't like something in your .htaccess file. You can check and set up to upgrade 2.0.3.1 to 2.3.0.1 again. In other way, OpenCart upgrade tool is alternative solution for dev to move data quickly with avoiding accidental errors. Other name is LitExtension OpenCart to OpenCart migration

Opencart migration & upgrade tool


User avatar
New member

Posts

Joined
Wed May 04, 2016 5:09 pm

Post by cyclops12 » Thu Sep 01, 2016 11:59 pm

cyclops12 wrote:So is the upgrade.txt file included in 2.3.0.2 folder the correct file to read for upgrading ???
If so why hasnt this been updated as it still seems to be for version 1.5

The full upgrade.txt is here

Code: Select all

///////////////////////////////////////
///    OpenCart V1.5.x TO 1.5.x     ///
///      Upgrade Instructions       ///
///     http://www.opencart.com     ///
///////////////////////////////////////

NOTE: THIS IS FOR UPGRADE ON EXISTING INSTALLS ONLY!
IF INSTALLING NEW, BE SURE TO READ THE INSTALL.TXT FILE INSTEAD

##########################################
THIS IS FOR UPGRADING EXISTING OPENCART 1.5.x STORES ONLY
THIS IS FOR UPGRADING EXISTING OPENCART 1.5.x STORES ONLY
THIS IS FOR UPGRADING EXISTING OPENCART 1.5.x STORES ONLY
##########################################

##########################################
DO NOT USE THIS UPGRADE TO CONVERT FROM 1.4.x to 1.5.x!!
DO NOT USE THIS UPGRADE TO CONVERT FROM 1.4.x to 1.5.x!!
DO NOT USE THIS UPGRADE TO CONVERT FROM 1.4.x to 1.5.x!!
If you have 1.4.x and want to upgrade to 1.5.x, You need to use the script here:
   http://forum.opencart.com/viewtopic.php?f=2&t=50292 
##########################################


1. BACKUP YOUR EXISTING STORE FILES AND DATABASE!!
- Backup your database via your store Admin->System->Backup
- Backup your files using FTP file copy or use cPanel filemanager to create a zip of all the existing opencart files and folders
 
2. Download the latest version of OpenCart and upload ALL new files on top of your current install EXCEPT your config.php and admin/config.php. If you are up to date with the last recent version and want to find just the new files that have changed since the last version, you can follow this guide to create a smaller changes-only patch. But for most, the full opencart zip will suffice.
Watch this video to understand how to properly upload folder using FTP: http://forum.opencart.com/viewtopic.php?f=20&t=9645#p46371

3. Browse to http://<yourstore.com>/install Replacing <yourstore.com> with your actual site (and subdirectory if applicable).
 
4. You should see the OpenCart Upgrade script.
- If you see the OpenCart Install page, then that means you overwrote your config.php files. Restore them from your backup first. Then try again.
 
5. Click "Upgrade". After a few seconds you should see the upgrade success page.
- If you see any errors, report them immediately in the forum before continuing.
 
6. Clear any cookies in your browser
 
7. Goto the admin side of your store and press Ctrl+F5 3x times to refresh your browser cache. That will prevent oddly shifted elements due to stylesheet changes. Login to your admin as the main administrator.
 
8. Goto Admin->Users->User Groups and Edit the Top Adminstrator group. Check All boxes.
- This will ensure you have permissions for all the new files
 
9. Goto Admin->System Settings
- Update any blank fields and click save. 
Even if you do not see any new fields, click save anyway to update the database with any new field names.

10. Other Adjustments that may need to be made, depending on which version you are upgrading from and to. These are broken down by which version they were added in. So if you are not currently at that version, you may need to make changes
v151
   - Modules must all be reinstalled to update the database with the new serialized data method or you will see errors on the front end
v151.3
   - System Settings have new "Use Store Tax Address" and "Use Customer Tax Address" fields that need to be set for taxes to work. By default they are updated to use "Shipping Address" which will be what 99% of stores will use anyway.
v152
   - New "Product Count" field added to the category module. You may need to edit that module to set the new field
v153
   - UPS module gets a change for the unit select and is disabled by default to force you to resave the settings.
   - New Voucher Min/Max fields added to Admin->System->Settings. Default is 1 to 1000
   - New Customer Group selection option for registration. You can choose which fields to show in the Admin->Sales->Customer Groups section.  By default it is set to "Default" only in the Admin->System->Settings under the Option tab. 
   - New "Category Product Count" setting in the Admin->System->Settings under the Server tab. This is disabled by default and should only be used for small stores as it causes massive performance loss for larger stores with lots of categories.
 
11. Load the store front and again press CTRL+F5 3x times to refresh your browser cache. That will prevent oddly shifted elements due to stylesheet.

12. If you use vQmod (by now everyone should be) you should first check for a new version at http://vQmod.com. Be sure to download the version that is marked for "opencart".
You will also need to re-run the vQmod installer, even if you have the latest version. You should already have the installer on your site as it isn't meant to be deleted from the first time you run it. Simply browse to:
http://yoursite.com/vqmod/install and you should see a success message. If you do not see a success message, follow the full install guide from the http://vQmod.com site.

Note that some of your vQmod scripts may need to be updated for the new core changes. 
So run through your site catalog and admin areas and check in FTP for the vqmod/vqmod.log file. 
If you see errors, then you will need to address them.


Troubleshooting:
------------------------------
1. If you have any upgrade script errors, post them in the forum
2. If you have 3rd party addon errors, contact the mod author for an update.
3. If you find bugs, check the "official" bug thread for this version of Opencart
Many bugs may have already been reported and fixes will be offered in the first post of this thread.
You should always visit this thread immediately after a fresh upgrade to see if there are any immediate bug fixes
If nobody has reported your bug, then please report it.

An online version of this file can be found here:
http://www.opencart.com/index.php?route=documentation/documentation&path=98


That's It!
OpenCart Dev Team
So do i follow the instructions in the upgrade.txt or is there another method ??

Expert Member

Posts

Joined
Sun Sep 27, 2015 1:10 am

Post by Qphoria » Tue Sep 20, 2016 3:51 am

That's old

Upgrade is not so hard

Upload all new files over the top of your current files, replacing all duplicates
Run http://mysite.com/install and go through the upgrade process
Manually delete
admin/controller/payment
admin/controller/module
admin/controller/shipping
admin/controller/total

Then go into admin and load the following Extension drop down selections at least once to clear any orphaned records
Modules, payments, shipping, totals

That should be it.

Image
Donate!|OpenCart Basics|GeoZones
Image


User avatar
Administrator

Posts

Joined
Tue Jul 22, 2008 3:02 am

Post by FrankR » Tue Sep 20, 2016 9:30 am

I also have a 2.0.3.1 site that I need to upgrade to 2.3.0.2 because of the ongoing issue I have with the software regularly assigning an order status of zero (0) to my new orders. I did test install of a v2.0.3.1 installation and deleted the files listed earlier. I then uploaded the v2.3.0.2 files over my v2.0.3.1 installation and the installation appeared to run the upgrade successfully.

However, when I log into the admin area, my dashboard is blank. Any suggestions?

New member

Posts

Joined
Wed Apr 08, 2015 3:18 am

Post by cyclops12 » Tue Sep 20, 2016 3:18 pm

Sometimes you just need to go into system/settings and edit your store then click the save button, sometimes just doing this will make the dashboard appear properly

Expert Member

Posts

Joined
Sun Sep 27, 2015 1:10 am

Post by Hannah00 » Tue Sep 20, 2016 6:22 pm

I am not sure about ability to upgrade extension. However, it should be removed before upgrade opencart to 2.3

Opencart migration & upgrade tool


User avatar
New member

Posts

Joined
Wed May 04, 2016 5:09 pm

Post by FrankR » Tue Sep 20, 2016 8:15 pm

With my test site, I had not done any store configuration and it was completely an out-of-the-box installation. I changed the name of my store in a few places in Settings just now and saved it. No difference.

My live store is similarly an unmodified OpenCart installation. If OpenCart is going to provide upgrades, it should also provide detailed instructions WITH the upgrades so straightforward upgrades do not require community support.

New member

Posts

Joined
Wed Apr 08, 2015 3:18 am

Post by FrankR » Wed Sep 21, 2016 2:32 am

I am also running OpenCart v2.0.3.1 on my car club's site. Although it is a live site, it is not being used so thought I would upgrade it to v2.3.0.2. Seeing as it is unmodified with extensions and v2.3.0.2 overwrites the old directories and files, I thought I would try deleting the following potentially problematic directories:
  • store/admin/controller
  • store/admin/language
  • store/admin/model
  • store/admin/view
  • store/catalog/controller
  • store/catalog/language
  • store/catalog/model
  • store/catalog/view
I should also report that FileZilla won't copy the pilibaba.php payment module as it deems it to be phishing software:

Code: Select all

Command:	STOR pilibaba.php
Response:	150 Opening ASCII mode data connection for pilibaba.php
Response:	550-Virus Detected and Removed: SiteLock-HTML-PHISHING-md5-xke.UNOFFICIAL
Response:	550 pilibaba.php: Operation not permitted
Error:	File transfer failed
While doing the upgrade of my car club's live store, I reviewed the upgrade procedure:
  1. Post any upgrade script errors problems in the forums
  2. After upgrade, clear any cookies in your browser to avoid getting token errors.
  3. Load the admin page & press Ctrl+F5 twice to force the browser to update the css changes.
  4. Goto Admin -> Users -> User Groups and Edit the Top Adminstrator group. Check All boxes.
  5. Goto Admin and Edit the main System Settings. Update all fields and click save, even if nothing changed.
  6. Load the store front & press Ctrl+F5 twice to force the browser to update the css changes.
I see that I neglected Step 4, which is why the Dashboard did not appear. In Step 5, I'm not sure how I can update all fields. I updated some fields and then saved the settings.

My test store seems to be working fine now but my car club live store appeared to have lost all of its images. I saw that they were all still there in the directories but v2.3.0.2 couldn't find them or even the demo image directory. It turned out that my web host had revised the path to my files since I originally installed it. I copied the new path from my test store to my live store and everything seems to be working fine now.

New member

Posts

Joined
Wed Apr 08, 2015 3:18 am

Post by stef83136 » Tue Oct 04, 2016 10:43 pm

Hi, I just upgraded a clone shop to 2.3.0.2

Everything went well. The image file is passed image/data to image/catalog but against the shop, the images do not appear. My config.php files seem ok

Should I change anything? Or ? Thank you for your help.

Aquamagasin votre spécialiste du Traitement d'eau et des Adoucisseurs d'eau


Active Member

Posts

Joined
Tue Dec 09, 2014 3:29 am

Post by FrankR » Tue Oct 04, 2016 11:50 pm

I had a similar problem. My web host changed the path to my account slightly. When I revised the paths in the config files, the images appeared.

New member

Posts

Joined
Wed Apr 08, 2015 3:18 am

Post by rlasmar » Sun Dec 18, 2016 1:16 am

snappyfish wrote:
Qphoria wrote:Upgrade to 2.3.0.2 will be fine with the upgrade script as long as you go in and manually move/remove all extension files in the old locations

admin/controller/module
admin/controller/payment
admin/controller/shipping
admin/controller/total
catalog/controller/module
catalog/controller/payment
catalog/model/shipping
catalog/model/total

after you clean out all of those your site should run fine with 2.3.0.2
Before or after the upgrade?
I upgraded from 2.0.3.1 to 2.3.0.2. I deleted theses folders after upgrade and the errors gone.

Newbie

Posts

Joined
Mon Nov 26, 2012 10:15 pm
Who is online

Users browsing this forum: No registered users and 10 guests